import React, {Component} from 'react';
import {WhiteSpace, WingBlank, ActivityIndicator} from 'antd-mobile'
import TodoCard from '../../components/TodoCard'
import TopSearch from '../../components/TopSearch'


class Index extends Component {
    state={
        loading: false
    }
    checkLog = () => {
        this.props.history.push(`/blank/example/1`)
    }
    render() {
        const {loading} = this.state
        return (
            <WingBlank>
                <ActivityIndicator
                    toast
                    text="加载中..."
                    animating={loading}
                />
                <WhiteSpace/>
                <TopSearch onSearch={val => console.log(val)}/>
                {
                    [{},{},{},{},{},{}].map((item, index) => (
                        <div key={index}>
                            <WhiteSpace/>
                            <TodoCard data={item} onCLick={this.checkLog}/>
                        </div>

                    ))
                }

            </WingBlank>
        );
    }
}

export default Index;
