import React, {Component} from 'react';
import {ActivityIndicator, WhiteSpace, WingBlank} from 'antd-mobile'
import TodoCard from '../../components/TodoCard'
import TopNotice from '../../components/TopNotice'



class Notice extends Component {
    state={
        loading: false
    };
    render() {
        const {loading} = this.state;
        return (
            <WingBlank>
                <ActivityIndicator
                    toast
                    text="加载中..."
                    animating={loading}
                />
                <WhiteSpace/>
                <TopNotice/>
                <WhiteSpace/>
                <TodoCard/>
            </WingBlank>
        );
    }
}

export default Notice;
