import React, { useState } from 'react';
import { useRequest } from "@umijs/hooks";
import {ActivityIndicator, WhiteSpace, WingBlank} from "antd-mobile";
import TopSearch from '../../components/TopSearch'
import WorkCard from '../../components/WorkCard'

const Work = () => {

    const [addStatus, setAddStatus] = useState(false);

    const { data, error, loading } = useRequest({
        url: '/dgbg/mobileGetOperates.view?userName=2012012099&clientFlag=123456',
        method: 'post'
    });

    const commonEdit = () => {
        setAddStatus(!addStatus);
    };
    
    const workSearch = (val) => {
        console.log(val)
    };
    
    const itemAdd = (id, arr, arr2) => {
        // const item = arr2.filter(item => item.id === id);
        // arr.splice(arr.length - 1, 0, item[0]);
    };
    
    const itemSlice = (id, arr, arr2) => {
        // const index = arr.findIndex(item => item.id == id);
        // index > -1 && arr.splice(index, 1);
    };

    //测试数据
    const data222 = Array.from(new Array(7)).map((_val, i) => ({
        id: `name${i}`,
        icon: '/img/test/test.png',
        text: `name${i}`,
    }));
    const data22222 = Array.from(new Array(7)).map((_val, i) => ({
        id: `name2${i}`,
        icon: '/img/test/test-1.png',
        text: `name${i}`,
    }));


    console.log(data);

    return (
        <WingBlank>
            <ActivityIndicator
                toast
                text="加载中..."
                animating={loading}
            />
            <WhiteSpace/>
            <TopSearch onSearch={ workSearch }/>
            <WhiteSpace/>
            <WorkCard
                type="edit"
                title="常用板块"
                addCommon={ commonEdit }
                addStatus={addStatus}
                data={data222}
                iconAction={ itemSlice }
            />
            <WhiteSpace/>
            <WorkCard
                title="事物管理"
                addCommon={ commonEdit }
                addStatus={addStatus}
                data={data && data.operate.map(item => ({ icon: '', text: item.NODENAME })) || []}
                iconAction={ itemAdd }
            />
        </WingBlank>
    );
}


export default Work;

